#include "CeoBrojTest2.h"
#include <stdexcept>

CPPUNIT_TEST_SUITE_REGISTRATION(CeoBrojTest2);

void CeoBrojTest2::setUp(void) {
	a=new CeoBroj(100,10);
	b=new CeoBroj(100,10);
	c=new CeoBroj(200,16);
	d=new CeoBroj(200, 16);
	e=new CeoBroj(-500, 10);

}

void CeoBrojTest2::tearDown(void)
{
	delete a;
	delete b;
	delete c;
	delete d;

}

void CeoBrojTest2::sabiranjeTest(void)
{
        CPPUNIT_ASSERT_EQUAL((*a) + (*b), CeoBroj(20, 10));
	CPPUNIT_ASSERT_THROW((*a) + (*c), invalid_argument);
	CPPUNIT_ASSERT_EQUAL((*a) + (*e), CeoBroj(-400, 10));
}

void CeoBrojTest2::oduzimanjeTest(void)
{
	CPPUNIT_ASSERT_EQUAL((*a) - (*e), CeoBroj(600, 10));

}
void CeoBrojTest2::mnozenjeTest(void)
{
	CPPUNIT_ASSERT_EQUAL ((*a)*(*b), CeoBroj(10000, 10));
        CPPUNIT_ASSERT_EQUAL ((*a)*(*e), CeoBroj(-50000, 10));
	CPPUNIT_ASSERT_THROW((*a)*(*d), invalid_argument);

}

