#include "kugla.h"
#include <QReadLocker>
#include <QWriteLocker>
#include "mainwindow.h"


Kugla::Kugla(int idKugle)
{
    id=idKugle;
    vreme=qrand()%1000;
    otkazala=qrand()%5 > 0 ? false : true;
    odrediBoju();
}

Kugla::~Kugla()
{}

void Kugla::odrediBoju()
{
    int v=qrand()%3;

    switch (v)
    {
        case 0:
        boja=QString("Zuta");
            break;
        case 1:
            boja=QString("Crvena");
            break;
        default:
           boja=QString("Plava");
    }
}

void Kugla::run()
{
    //ako kugla nije otkazala, uspavljuje se
    //na onoliko vremena koliko joj treba da eksplodira
    if(!otkazala)
        msleep(vreme);

    //smanjuje se broj kugli koje treba da eksplodiraju
    MainWindow::brojKugliMutex.lock();
    MainWindow::brojKugli--;
    MainWindow::brojKugliMutex.unlock();

    //emituje se signal da je kugla eksplodirala
    emit eksplodirala(id, vreme, otkazala, boja);
}



