#ifndef KUGLA_H
#define KUGLA_H

#include <QThread>
#include <QColor>
#include <QMutex>
#include <QReadWriteLock>

/*Svaka kugla vatrometa predstavljena je
jednom niti. Kuglu karakterisu id, boja,
podatak da li je ekspodirala, i ako jeste
vreme kad je eksplodirala.  */
class Kugla : public QThread
{
    Q_OBJECT
public:

    Kugla(int idKugle);
    ~Kugla();

protected:
            void run();

signals:
    void eksplodirala(int id, int vreme, bool otkazala,
                      QString boja);

private:
    void odrediBoju();
    int id;
    int vreme;
    bool otkazala;
    QString boja;
};

#endif // KUGLA_H
